nagios_host 'elibrary.imf.org' do
	options 'use' => 'noping-host-https',
		'alias' => 'IMF AWS IRL',
		'address' => 'www.elibrary.imf.org',
		'contact_groups' => 'cs_escalation,imf',
		'notes' => 'fab imf.restart:app_name=web,environment=prod'
end
nagios_service 'elibrary.imf.org-Homepage' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!7!9!Home!PubFactory!IMF!',
		'notes' => 'fab imf.restart:app_name=web,environment=prod'
end
nagios_service 'elibrary.imf.org-Search' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Search',
		'check_command' => 'http_content_check!/search?q=European!10!20!PubFactory!Eastern!European!',
		'notes' => 'fab imf.restart:app_name=web,environment=prod'
end
#------------------------------------------------------------------------------------
# LOADER
# Checks a loader login page and looks for the string 'Login' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elibrary.imf.org-Production Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Production Loader',
		'check_command' => 'check_loader_auth!mgmt.elibrary.imf.org!/login!imfsg:imfsg2020!"IMFSG Production Management Portal"!20!10',
		'contact_groups' => 'admins_email_only,imf',
		'notes' => 'IMF Live Loader',
		'notes_url' => 'mgmt.elibrary.imf.org'
end
#------------------------------------------------------------------------------------
# STAGING
# Checks the staging site homepage and looks for the string 'IMF' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elibrary.imf.org-Staging Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Staging Homepage',
		'check_command' => 'check_staging_auth!imf.stg-elibrary.imf.org!imfsg:imfsg2020!IMF!20!10',
		'contact_groups' => 'admins_email_only,imf',
		'notes' => 'IMF Staging Site',
		'notes_url' => 'https://imfsg-staging.pubfactory.com'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 1)
# Checks the homepage of the live IMF site on the first web node and checks for the string 'IMF'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elibrary.imf.org-Live Homepage: imf-web-3' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Live Homepage: imf-web-3',
		'check_command' => 'https_content_check_basic_auth_single_node!imfsg:imfsg2020!/!IMF!10!20!imfsg-web-live3!imf-web-3!',
		'contact_groups' => 'admins_email_only,imf',
		'notes' => 'IMF Live Site: imf-web-3',
		'notes_url' => 'elibrary.imf.org/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 2)
# Checks the homepage of the live IMF site on the first web node and checks for the string 'IMF'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elibrary.imf.org-Live Homepage: imf-web-4' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'elibrary.imf.org',
		'display_name' => 'Live Homepage: imf-web-4',
		'check_command' => 'https_content_check_basic_auth_single_node!imfsg:imfsg2020!/!IMF!10!20!imfsg-web-live4!imf-web-4!',
		'contact_groups' => 'admins_email_only,imf',
		'notes' => 'IMF Live Site: imf-web-4',
		'notes_url' => 'elibrary.imf.org/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (Node 3)
# Checks the homepage of the live IMF site on the bot web node and checks for the string 'AMS'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'elibrary.imf.org-Live Homepage: imf-webbot-2 bot node' do
        options 'use' => 'sbo-service-pf',
                'host_name' => 'elibrary.imf.org',
                'display_name' => 'Live Homepage: imf-webbot-2',
                'check_command' => 'https_content_check_basic_auth_single_node_bot!imfsg:imfsg2020!/!IMF!10!20!imfsg-web-bot-live2!imf-webbot-2.irl.pubfactory.net!',
                'contact_groups' => 'admins_email_only,imf',
                'notes' => 'IMF Bot Site: imf-webbot-2',
                'notes_url' => 'https://elibrary.imf.org/'
end
